Subject: Re: (ngtrans) RE: v6[v4] address in ngtrans-bgp-tunnel

From: Dirk Ooms <[email-masked]>
Date: Mon, 03 Sep 2001 09:54:30 +0200

Alain,

I agree with what you said below.  In my opinion, this (the flexibility
of selecting global/local prefix) makes ISATAP more attractive than
v4-mapped addresses.  If there is consensus on this, I will change the
draft accordingly.

dirk

Alain Durand wrote:
> 
> At 10:31 AM 8/29/2001 +0200, Dirk Ooms wrote:
> >Alain,
> >
> >Your quote from rfc2545 says "The link-local address shall be included
> >in the Next Hop field if and only if the BGP speaker shares a common
> >subnet with the entity of Next Hop field and the peer the route is being
> >advertised to".  My impression is that this does not apply to the
> >bgp-tunnel scheme since the bgp-tunnel advertisement is typically iBGP
> >going over an IPv4 network, so the BGP peers won't have a common IPv6
> >subnet (unless one would consider IPv6 neighbours connected by a tunnel
> >as 'having a common subnet').
> 
> You can model BGP tunnels as a collection of BGP peers
> that share the same layer 2 link, here this link happen to be the IPv4
> Internet.
> Then,  it becomes possible to picture a subnet that span among
> all those routers (a la LAN Emulated). This is exactly what ISATAP
> will give you. And as you do not need a global address for this subnet,
> and all you need are link local addresses, as Dave Thaler said before,
> all you need is the prefix fe80::/10, expand it to fe80::/64
> and put an ISATAP generated EUI64 in the lower 64 bits.
> 
>          - Alain.

-- 
Dirk Ooms                       mailto:[email-masked]
                                tel:+32 3 2404732
Network Strategy Group (NSG)    http://aww.alcatel.com/nsg
Alcatel                         http://www.alcatel.com